Bug 20617 - Mageia's firefox 52 ESR won't install gmp plugins (widevine, openh264) (was: firefox is installing components needed to play the audio or video in this page. please try again later.)
Summary: Mageia's firefox 52 ESR won't install gmp plugins (widevine, openh264) (was: ...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High normal
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard: MGA6TOO MGA5TOO
Keywords: IN_ERRATA5, IN_ERRATA6
Depends on:
Blocks:
 
Reported: 2017-04-01 22:54 CEST by Ezequiel Partida
Modified: 2017-10-11 12:46 CEST (History)
5 users (show)

See Also:
Source RPM: firefox-52.0.2-1.mga6
CVE:
Status comment:


Attachments

Description Ezequiel Partida 2017-04-01 22:54:09 CEST
Description of problem:
Firefox 52.0.2 won't install widevide components.

I tried it and I get the next message:
firefox is installing components needed to play the audio or video in this page. please try again later.

Version-Release number of selected component (if applicable):
Firefox 52.0.2


How reproducible:
https://demo.castlabs.com/
Big Buck Bunny Demo with DRM


Regards
Comment 1 Marja van Waes 2017-04-01 23:27:51 CEST
Widevide or widevine?

I don't know whether this helps:

https://support.mozilla.org/t5/Firefox/Firefox-fails-to-download-Widevine-CDM/td-p/1309637

Keywords: (none) => NEEDINFO
Source RPM: (none) => firefox
CC: (none) => marja11

Marja van Waes 2017-04-01 23:28:07 CEST

Component: Release (media or process) => RPM Packages
CC: sysadmin-bugs => (none)

Comment 2 Ezequiel Partida 2017-04-02 21:40:34 CEST
Sorry Widevine :D :D

Thanks for the link.
Comment 3 Ezequiel Partida 2017-04-02 22:15:00 CEST
Hi,

I couldÅt fix it with the info on the site you gave me.

This is what I did.

I downloaded Firefox 52.02 from Mozilla.org and ran it from Terminal.

I got to: https://demo.castlabs.com/

Played the Big Buck Bunny video with DRM and H264 and firefox installed the plugins in 2 seconds (This does not happen with the Mageia's Release)

Once I got back to Mageia's Firefox Release all plugins where installed correctly.

I can now even play Netflix, ClaroVideo (Latin America)

So, does it mean that there is something wrong with Mageia's Firefox Package?.

Regards
Comment 4 Marja van Waes 2017-04-03 07:52:05 CEST
(In reply to Ezequiel Partida from comment #3)

> 
> I downloaded Firefox 52.02 from Mozilla.org and ran it from Terminal.
> 
> I got to: https://demo.castlabs.com/
> 
> Played the Big Buck Bunny video with DRM and H264 and firefox installed the
> plugins in 2 seconds (This does not happen with the Mageia's Release)
> 
> Once I got back to Mageia's Firefox Release all plugins where installed
> correctly.
> 
> I can now even play Netflix, ClaroVideo (Latin America)

Thanks for the feedback :-)
> 
> So, does it mean that there is something wrong with Mageia's Firefox
> Package?.


Sounds like it :-/

Assigning to all packagers collectively to investigate, since there is no registered Mageia maintainer for Firefox.

Assignee: bugsquad => pkg-bugs
Keywords: NEEDINFO => (none)
Source RPM: firefox => firefox-52.0.2-1.mga6
Summary: firefox is installing components needed to play the audio or video in this page. please try again later. => firefox-52.0.2-1.mga6 won't install widevine plugin (was: firefox is installing components needed to play the audio or video in this page. please try again later.)

Comment 5 katnatek 2017-04-27 22:03:30 CEST
Not just with widevine, the cisco openh264 plugin also fail to download/install

CC: (none) => j.alberto.vc

Comment 6 katnatek 2017-04-28 02:18:35 CEST
I just can confirm that with the mozilla's binary both plugins (widevine and cisco) download rigth and with magiea's version don't
Comment 7 katnatek 2017-04-28 22:26:52 CEST
Forgot to comment that my test was with  firefox-52.1.0-2, so this report is still valid
Comment 8 katnatek 2017-05-26 22:42:29 CEST
Still valid in  firefox-52.1.2-1.mga6.src.rpm

I backup all the gmp folders of my profile and then removed.
I can see the firefox create the folder gmp/Linux_x86-gcc3/ but not

gmp-gmpopenh264/1.6/ (and their content)
gmp-widevinecdm/1.4.8.903/ (and their content)


In about:addons you see that both plugins say will install later but that never happens

Priority: Normal => High
Summary: firefox-52.0.2-1.mga6 won't install widevine plugin (was: firefox is installing components needed to play the audio or video in this page. please try again later.) => Mageia's firefox 52 ESR won't install gmp plugins (widevine, openh264) (was: firefox is installing components needed to play the audio or video in this page. please try again later.)

Comment 9 Chris B 2017-05-27 17:23:56 CEST
1. The Mageia 6 firefox is able to play h264 html5 videos without problems. On all Live media the necessary gstreamer packages are included. - If you didn't install via LiveDVD, do: urpmi task-codec-video, and: urpmi task-codec-audio, maybe you would want to enable the tainted repos.

2. The DRM stuff is a different beast, and has nothing to do with playing h264 videos, the cisco openh264 and the widevine stuff is only about DRM, and this is disabled in the Mageia packages, as far as I can see, and with good reasons. If you want DRM (digital rights management), use either Firefox from the mozilla download or Google Chrome directly from Google.

'Some' settings in about:config -: (but maybe you need to add them, don't know, I do not and will never use DRM)

media.gmp-gmpopenh264.autoupdate
media.gmp-gmpopenh264.enabled
media.gmp-gmpopenh264.provider.enabled
media.peerconnection.video.h264_enabled

CC: (none) => shybluenight

Comment 10 katnatek 2017-05-27 19:52:49 CEST
(In reply to Chris B from comment #9)
1. I can't think in a good reason to make things more difficult to the user.
2. May be cisco's openh264 is not needed any more but in mageia 5 this plugin auto install, i'am sure at least this is don't related to DRM
3. Other packager (https://bugs.mageia.org/show_bug.cgi?id=17449#c9) is trying to give support to widevine for the chromium browser, i think this is the right way, let the user decide if he (or she) want the DRM, one don't activate the play DRM box by accident.
4. You can consider make a nonfree or tainted package of firefox to bring back this support if you are so worried by security or freedom.
Comment 11 Ezequiel Partida 2017-07-07 01:09:28 CEST
Hi,

I installed Mageia 6 RC on a new fresh install on a new laptop and Firefox 52.2.0

I still get the next message:
firefox is installing components needed to play the audio or video in this page. please try again later.

It nevers get's out of it.

The first time I reported this it was fixed on the next release. It seems that the next updates where not fixed.

Regards
ZekeMX
Comment 12 katnatek 2017-07-07 19:09:18 CEST
(In reply to Ezequiel Partida from comment #11)
> Hi,
> 
> I installed Mageia 6 RC on a new fresh install on a new laptop and Firefox
> 52.2.0
> 
> I still get the next message:
> firefox is installing components needed to play the audio or video in this
> page. please try again later.
> 
> It nevers get's out of it.
> 
> The first time I reported this it was fixed on the next release. It seems
> that the next updates where not fixed.
> 
> Regards
> ZekeMX

I think the time it works was when you use mozilla's firefox and switch back to mageia's firefox.

Due comment #9 i think mageia's developers will close this as wontfix, so user that want to use netflix, clarovideo or any other using widevine will have to use mozilla's firefox.

For the moment if you try that use regular version instead of ESR, exists a bug that for the moment mozilla don't think is urgent to fix (https://bugzilla.mozilla.org/show_bug.cgi?id=1375708#c18)
Comment 13 Rémi Verschelde 2017-07-18 14:10:20 CEST
This should be added to the errata with the documented workaround of comment 3 (i.e. download Mozilla's binary and use it to install the DRM plugins, then they work in Mageia's Firefox).

Keywords: (none) => FOR_ERRATA6

Rémi Verschelde 2017-07-18 14:10:35 CEST

Whiteboard: (none) => MGA6TOO MGA5TOO

Comment 14 katnatek 2017-07-18 17:29:43 CEST
(In reply to Rémi Verschelde from comment #13)
> This should be added to the errata with the documented workaround of comment
> 3 (i.e. download Mozilla's binary and use it to install the DRM plugins,
> then they work in Mageia's Firefox).

Not for the moment, the upstream bug in my comment #12 make the DRM don't work with the ESR branch even if the gmp components are downloaded, i don't test is marked as solved in regular mozilla's firefox
Comment 15 Rémi Verschelde 2017-07-18 17:32:58 CEST
Well I at least had a confirmation that this workaround works on Mageia 5 for Netflix.
Comment 16 katnatek 2017-07-18 18:27:55 CEST
(In reply to Rémi Verschelde from comment #15)
> Well I at least had a confirmation that this workaround works on Mageia 5
> for Netflix.

But was with a previous version of 52 ESR, the current 52.2.1 don't works for me, 
@Ezequiel Partida, can you try with current Mozilla's ESR https://www.mozilla.org/en-US/firefox/organizations/all/ ?
Comment 17 katnatek 2017-07-18 22:15:02 CEST
I confirm that with normal branch https://www.mozilla.org/en-US/firefox/all/ , i can use sites that require widevine DRM

But for use that branch you need

A)Create a new profile and run mozilla's firefox with -P option

or

B)Uninstall mageia's firefox and use ONLY mozilla's firefox

Don't know when mozilla's think to fix the bug of the comment #12 in the ESR branch.
Comment 18 katnatek 2017-08-10 16:24:12 CEST
The new update to firefox ESR (52.3) fix the issues with widevine
So when you publish the update to mageia's package the workarround of use mozilla's firefox to install gmp plugins should work again
katnatek 2017-09-22 21:59:12 CEST

Keywords: FOR_ERRATA6 => IN_ERRATA6

katnatek 2017-09-22 23:38:32 CEST

Keywords: (none) => IN_ERRATA5

Comment 19 Jean Michel Varvou 2017-10-01 11:05:58 CEST
Hi

I have the same problem with the openH264 codec video and plugin widevine. This problem concern only the firefox ESR version build by mageia. If I install the firefox ESR downloaded on the Mozilla Website, this problem is not present. 

The workaround is to download the ESR version of Mozilla to download the plugins, and then, once this is done, use the version produced by mageia.

This is annoying for beginners and this does not encourage using firefox.

CC: (none) => jeanmichel.varvou

Comment 20 Jean Michel Varvou 2017-10-07 12:18:22 CEST
Hello,

I do not understand the choice not to offer this functionality with the firefox version proposed by Mageia. Unless I'm mistaken, other linux distributions offer a version of firefox that allows the download of these plugins. Is this a technical problem? A problem related to the license of firefox?
Comment 21 Florian Hubold 2017-10-11 10:02:02 CEST
(In reply to Chris B from comment #9)

> 2. The DRM stuff is a different beast, and has nothing to do with playing
> h264 videos, the cisco openh264 and the widevine stuff is only about DRM,
> and this is disabled in the Mageia packages, as far as I can see, and with
> good reasons.

Hi Chris, your comment there seems to trigger some people, or let's say they take this as explanation/reason that Mageia disabled widevine/DRM stuff on purpose.

Care to elaborate on what you are referring to as "disabled in the Mageia packages" and where you saw that in particular, please? I don't see anything related disabled on purpose here: http://svnweb.mageia.org/packages/cauldron/firefox/current/SPECS/firefox.spec?view=markup

CC: (none) => doktor5000

Comment 22 Chris B 2017-10-11 12:46:25 CEST
(In reply to Florian Hubold from comment #21)
> (In reply to Chris B from comment #9)
> 
> > 2. The DRM stuff is a different beast, and has nothing to do with playing
> > h264 videos, the cisco openh264 and the widevine stuff is only about DRM,
> > and this is disabled in the Mageia packages, as far as I can see, and with
> > good reasons.
> 
> Hi Chris, your comment there seems to trigger some people, or let's say they
> take this as explanation/reason that Mageia disabled widevine/DRM stuff on
> purpose.
> 
> Care to elaborate on what you are referring to as "disabled in the Mageia
> packages" and where you saw that in particular, please? I don't see anything
> related disabled on purpose here:
> http://svnweb.mageia.org/packages/cauldron/firefox/current/SPECS/firefox.
> spec?view=markup

I was not 100% sure back then if the packager of Firefox disabled the feature on purpose. I only checked Debian, and the same issue (same Firefox version) occured.
It could be indeed a firefox bug, or something in the spec file, but I'm too unexperienced to find the cause. 
Unfortunately our firefox has no assigned maintainer to ask.

Note You need to log in before you can comment on or make changes to this bug.